liblo 0.31

Data Structures | Functions
lo_cpp.h File Reference

Go to the source code of this file.

## Data Structures
class | lo::Method
| Class representing an OSC method, proxy for lo_method. More...
class | lo::Address
| Class representing an OSC destination address, proxy for lo_address. More...
class | lo::Message
| Class representing an OSC message, proxy for lo_message. More...
class | lo::Server
| Class representing a local OSC server, proxy for lo_server. More...
class | lo::ServerThread
| Class representing a server thread, proxy for lo_server_thread. More...
class | lo::Blob
| Class representing an OSC blob, proxy for lo_blob. More...
struct | lo::PathMsg
| Class representing an OSC path (std::string) and lo::Message pair. More...
class | lo::Bundle
| Class representing an OSC bundle, proxy for lo_bundle. More...

## Functions
std::string | lo::version ()
| Return the library version as an std::string. More...
lo_timetag | lo::now ()
| Return the current time in lo_timetag format. More...
lo_timetag | lo::immediate ()
| Return the OSC timetag representing "immediately". More...

## Detailed Description

The liblo C++ wrapper

Definition in file lo_cpp.h.

## Function Documentation

## ◆ immediate()

lo_timetag lo::immediate | ( |  | ) |
| inline

Return the OSC timetag representing "immediately".

Definition at line 1098 of file lo_cpp.h.

References lo::immediate(), and LO_TT_IMMEDIATE.

Referenced by lo::immediate().

## ◆ now()

lo_timetag lo::now | ( |  | ) |
| inline

Return the current time in lo_timetag format.

Definition at line 1095 of file lo_cpp.h.

References lo_timetag_now(), and lo::now().

Referenced by lo::now().

## ◆ version()

std::string lo::version | ( |  | ) |
| inline

Return the library version as an std::string.

Definition at line 1088 of file lo_cpp.h.

References lo_version(), and lo::version().

Referenced by lo::version().